Location (Java Platform SE 8 )
Keywords: javax.xml.stream.Location interface
Date: 2017-07-29

compact2, compact3
javax.xml.stream

## Interface Location

-     public interface Location

  Provides information on the location of an event. All the information provided by a Location is optional. For example an application may only report line numbers.
  Since:
    1.6
  Version:
    1.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCharacterOffset()` Return the byte or character offset into the input source this location is pointing to.
    `int` | `getColumnNumber()` Return the column number where the current event ends, returns -1 if none is available.
    `int` | `getLineNumber()` Return the line number where the current event ends, returns -1 if none is available.
    `String` | `getPublicId()` Returns the public ID of the XML
    `String` | `getSystemId()` Returns the system ID of the XML

- - ### Method Detail

    - #### getLineNumber

          int getLineNumber()

      Return the line number where the current event ends, returns -1 if none is available.
      Returns:
        the current line number

    - #### getColumnNumber

          int getColumnNumber()

      Return the column number where the current event ends, returns -1 if none is available.
      Returns:
        the current column number

    - #### getCharacterOffset

          int getCharacterOffset()

      Return the byte or character offset into the input source this location is pointing to. If the input source is a file or a byte stream then this is the byte offset into that stream, but if the input source is a character media then the offset is the character offset. Returns -1 if there is no offset available.
      Returns:
        the current offset

    - #### getPublicId

          String getPublicId()

      Returns the public ID of the XML
      Returns:
        the public ID, or null if not available

    - #### getSystemId

          String getSystemId()

      Returns the system ID of the XML
      Returns:
        the system ID, or null if not available

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.